

void lc_ctype() {
   char buf[BUF];
   int i;

   printf(_("Wrote some text, please:\n"));
   fgets(buf, BUF, stdin);

   for (i = 0; i < BUF && buf[i] != '\0'; i++) {
      if (isalnum(buf[i]))
         buf[i] = '+';
      else if (isspace(buf[i]))
              buf[i] = '_';
           else
              buf[i] = '-';
   }
   printf("%s\n", buf);
}

void lc_numeric() {
   printf(_("Numbers: %'d   %'f\n"),
      (int) 12345678, (float) 1234567.1235678);
}

void lc_monetary() {
   char buf[BUF];

   strfmon(buf, BUF, _("You have forgotten to pay %n to\
the author of this program.\n"), (double) 1234);
   printf("%s", buf);
}

main(int argc, char **argv) {
   init();
   invite();
   lc_collate();
   lc_time();
   lc_numeric();
   lc_ctype();
   lc_monetary();
}
